import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetDataPropsParams, GetPricePerShareParams, GetUnderlyingTokensParams } from '../../../position/template/app-token.template.types';
import { PlutusContractFactory } from '../contracts';
import { PlutusPlvGlp } from '../contracts/ethers/PlutusPlvGlp';
export declare class ArbitrumPlutusPlvGlpTokenFetcher extends AppTokenTemplatePositionFetcher<PlutusPlvGlp> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: PlutusContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: PlutusContractFactory);
    getContract(address: string): PlutusPlvGlp;
    getAddresses(): string[];
    getUnderlyingTokenDefinitions({ contract }: GetUnderlyingTokensParams<PlutusPlvGlp>): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare({ contract }: GetPricePerShareParams<PlutusPlvGlp>): Promise<number[]>;
    getLiquidity({ appToken, contract }: GetDataPropsParams<PlutusPlvGlp>): Promise<number>;
    getReserves({ appToken, contract }: GetDataPropsParams<PlutusPlvGlp>): Promise<number[]>;
}
